Crash: kopano core upgrade from : 8.5.81.288-0+53.1 to : 8.6.80.645-0+68.1

resulted in : ( Debian Stretch amd64 )

Mon Apr 23 17:00:51 2018: [crit   ] Fatal error detected. Please report all following information.
Mon Apr 23 17:00:51 2018: [crit   ] Application kopano-server version: 8.6.80
Mon Apr 23 17:00:51 2018: [crit   ] OS: Linux, release: 4.9.0-6-amd64, version: #1 SMP Debian 4.9.82-1+deb9u3 (2018-03-02), hardware: x86_64
Mon Apr 23 17:00:51 2018: [crit   ] Thread name: kopano-server
Mon Apr 23 17:00:51 2018: [crit   ] Peak RSS: 27960
Mon Apr 23 17:00:51 2018: [crit   ] Pid 20609 caught SIGSEGV (11), traceback:
Mon Apr 23 17:00:51 2018: [crit   ] Backtrace:
Mon Apr 23 17:00:51 2018: [crit   ] #0. /usr/lib/libkcutil.so.0(+0x29bcd) [0x7fac06f3cbcd]
Mon Apr 23 17:00:51 2018: [crit   ] #1. /usr/lib/libkcutil.so.0(+0x22755) [0x7fac06f35755]
Mon Apr 23 17:00:51 2018: [crit   ] #2. /usr/lib/libkcutil.so.0(_ZN2KC23generic_sigsegv_handlerEPNS_8ECLoggerEPKcS3_iPK9siginfo_tPKv+0x1c1) [0x7fac06f35a31]
Mon Apr 23 17:00:51 2018: [crit   ] #3. /lib/x86_64-linux-gnu/libpthread.so.0(+0x110c0) [0x7fac01da40c0]
Mon Apr 23 17:00:51 2018: [crit   ] #4. /usr/lib/x86_64-linux-gnu/libcrypto.so.1.1(ERR_clear_error+0x54) [0x7fac05bc7ed4]
Mon Apr 23 17:00:51 2018: [crit   ] #5. /usr/lib/libgsoapssl++-kopano-2.8.62.so(soap_done+0x304) [0x7fac06135524]
Mon Apr 23 17:00:51 2018: [crit   ] #6. /usr/lib/libgsoapssl++-kopano-2.8.62.so(soap_free+0x9) [0x7fac0614eaa9]
Mon Apr 23 17:00:51 2018: [crit   ] #7. /usr/sbin/kopano-server(+0xf39a) [0x5629f7a7339a]
Mon Apr 23 17:00:51 2018: [crit   ] #8. /usr/sbin/kopano-server(+0xf469) [0x5629f7a73469]
Mon Apr 23 17:00:51 2018: [crit   ] #9. /usr/sbin/kopano-server(+0xcf52) [0x5629f7a70f52]
Mon Apr 23 17:00:51 2018: [crit   ] #10. /usr/sbin/kopano-server(+0xc1f1) [0x5629f7a701f1]
Mon Apr 23 17:00:51 2018: [crit   ] #11. /lib/x86_64-linux-gnu/libc.so.6(+0x35940) [0x7fac01180940]
Mon Apr 23 17:00:51 2018: [crit   ] #12. /lib/x86_64-linux-gnu/libc.so.6(+0x3599a) [0x7fac0118099a]
Mon Apr 23 17:00:51 2018: [crit   ] #13. /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf8) [0x7fac0116b2e8]
Mon Apr 23 17:00:51 2018: [crit   ] #14. /usr/sbin/kopano-server(+0x7a2a) [0x5629f7a6ba2a]
Mon Apr 23 17:00:51 2018: [crit   ] Signal errno: Success, signal code: 1
Mon Apr 23 17:00:51 2018: [crit   ] Sender pid: 320, sender uid: 0, si_status: 0
Mon Apr 23 17:00:51 2018: [crit   ] Signal value: 0, faulting address: 0x140
Mon Apr 23 17:00:51 2018: [crit   ] When reporting this traceback, please include Linux distribution name (and version), system architecture and Kopano version.

Good morning @thctlo,

did you run "update kopano* or a full “update”?
if only packages with starting name kopano try to run

(was it apt-get in debian?)
apt-get update libkc*
apt-get update libsoap*

or just a full update  "apt-get update"

in earlier versions the dependencies are not updated and the kopano-packages didnt know that libkc is needed.

coffee_is_life

Hai, I’ve create a local apt from the community packages.
After updating the packages, i run

apt-get update 
apt-get upgrade
apt-get dist-upgrade

No messages about package to be installed.
apt-cache policy packagename also shows the latest version installed.
Im modifying my update script for kopano atm, i’ll test it again, that should give me updated packages and i’ll check again.

ok, i completely removed kopano from the server, not mysql, since other server is useing that one already.

reinstalled kopano.

Wed Apr 25 13:16:36 2018: [crit   ] Fatal error detected. Please report all following information.
Wed Apr 25 13:16:36 2018: [crit   ] Application kopano-server version: 8.6.80
Wed Apr 25 13:16:36 2018: [crit   ] OS: Linux, release: 4.9.0-6-amd64, version: #1 SMP Debian 4.9.82-1+deb9u3 (2018-03-02), hardware: x86_64
Wed Apr 25 13:16:36 2018: [crit   ] Thread name: kopano-server
Wed Apr 25 13:16:36 2018: [crit   ] Peak RSS: 16312
Wed Apr 25 13:16:36 2018: [crit   ] Pid 23232 caught SIGSEGV (11), traceback:
Wed Apr 25 13:16:36 2018: [crit   ] Backtrace:
Wed Apr 25 13:16:36 2018: [crit   ] #0. /usr/lib/libkcutil.so.0(+0x29bcd) [0x7f6a4842cbcd]
Wed Apr 25 13:16:36 2018: [crit   ] #1. /usr/lib/libkcutil.so.0(+0x22755) [0x7f6a48425755]
Wed Apr 25 13:16:36 2018: [crit   ] #2. /usr/lib/libkcutil.so.0(_ZN2KC23generic_sigsegv_handlerEPNS_8ECLoggerEPKcS3_iPK9siginfo_tPKv+0x1c1) [0x7f6a48425a31]
Wed Apr 25 13:16:36 2018: [crit   ] #3. /lib/x86_64-linux-gnu/libpthread.so.0(+0x110c0) [0x7f6a432940c0]
Wed Apr 25 13:16:36 2018: [crit   ] #4. /usr/lib/x86_64-linux-gnu/libcrypto.so.1.1(ERR_clear_error+0x54) [0x7f6a470b7ed4]
Wed Apr 25 13:16:36 2018: [crit   ] #5. /usr/lib/libgsoapssl++-kopano-2.8.62.so(soap_done+0x304) [0x7f6a47625524]
Wed Apr 25 13:16:36 2018: [crit   ] #6. /usr/lib/libgsoapssl++-kopano-2.8.62.so(soap_free+0x9) [0x7f6a4763eaa9]
Wed Apr 25 13:16:36 2018: [crit   ] #7. /usr/sbin/kopano-server(+0xf39a) [0x55e144a0539a]
Wed Apr 25 13:16:36 2018: [crit   ] #8. /usr/sbin/kopano-server(+0xf469) [0x55e144a05469]
Wed Apr 25 13:16:36 2018: [crit   ] #9. /usr/sbin/kopano-server(+0xcf52) [0x55e144a02f52]
Wed Apr 25 13:16:36 2018: [crit   ] #10. /usr/sbin/kopano-server(+0xc1f1) [0x55e144a021f1]
Wed Apr 25 13:16:36 2018: [crit   ] #11. /lib/x86_64-linux-gnu/libc.so.6(+0x35940) [0x7f6a42670940]
Wed Apr 25 13:16:36 2018: [crit   ] #12. /lib/x86_64-linux-gnu/libc.so.6(+0x3599a) [0x7f6a4267099a]
Wed Apr 25 13:16:36 2018: [crit   ] #13. /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf8) [0x7f6a4265b2e8]
Wed Apr 25 13:16:36 2018: [crit   ] #14. /usr/sbin/kopano-server(+0x7a2a) [0x55e1449fda2a]
Wed Apr 25 13:16:36 2018: [crit   ] Signal errno: Success, signal code: 1
Wed Apr 25 13:16:36 2018: [crit   ] Sender pid: 320, sender uid: 0, si_status: 0
Wed Apr 25 13:16:36 2018: [crit   ] Signal value: 0, faulting address: 0x140
Wed Apr 25 13:16:36 2018: [crit   ] When reporting this traceback, please include Linux distribution name (and version), system architecture and Kopano version.

Anyone any suggestions?

Hi,
had similar issues with one of 580, looks like there are some issues in the build of the libraries.
the latest drop fixed all issues at least on Centos 7 -

hmm, ok lets wait for the next update then…

Hai, i noticed the following, providing feedback for others.

dpkg -l | grep kc
ii  libkchl0                                  8.4.90.975-0+129.1                         amd64        RAII-based interface for libmapi
ii  libkcpyconv0                              8.4.0~1103-0+10.1                          amd64        Object conversion functions for Python bindings
ii  libkcpydirector0                          8.4.0~1103-0+10.1                          amd64        Kopano Python bindings utility library

These three, are still from the previous install and not upgraded.
Can anyone tell me, why are these not upgraded?
Maybe because these are not set in the upgrade process to new packages, forgotten/leftovers.

This is a packaging bug/failure.
I removed these 3 files from the server in the hope i help preventing the fatal error.

So how could this happen… i dont know, i upgrade the following way… ( in case of the community version )

  1. i pull all new tar.gz files from the website. ( i pull everything for my OS) ( this is scripted )

  2. Every thing dowloaded is extracted and all deb files are dumpt in a folder. ( this is scripted )

  3. From this folder i run an other script that puts all deb in my apt repo. ( this is scripted )

  4. i myself run the upgrade and follow the process.
    I do this for multiple sites and this works fine, used this since zarafa 6.40.x .

i’ve cleared all logs and rebooted the server.

the result is :

Tue May  1 16:27:42 2018: [=======] [22477] LMTP service will now exit
Tue May  1 16:31:50 2018: [=======] [ 1635] Starting kopano-dagent version 8.6.80 (pid 1635) (LMTP mode)
gateway.log
Tue May  1 16:27:42 2018: [kopano-gateway|T22017] [=======] POP3/IMAP Gateway will now exit
Tue May  1 16:31:50 2018: [kopano-gateway|T1637] [=======] Starting kopano-gateway version 8.6.80 (pid 1637)
ical.log
Tue May  1 16:31:50 2018: [kopano-ical|T1640] [=======] Starting kopano-ical version 8.6.80 (pid 1640)

migration-pst.log
monitor.log

Tue May  1 16:27:42 2018: [notice ] Termination requested, shutting down.
Tue May  1 16:31:50 2018: [=======] Starting kopano-monitor version 8.6.80 (pid 1639)

presence.log
search.log

2018-05-01 16:27:42,392 - search - INFO - stopping search
2018-05-01 16:31:50,522 - search - INFO - starting search
2018-05-01 16:31:51,519 - search - INFO - found previous server sync state: 01000000F09A0100
2018-05-01 16:31:51,540 - search - INFO - starting incremental sync
2018-05-01 16:31:51,545 - query - INFO - listening on socket file:///var/run/kopano/search.sock

server.log

Tue May  1 16:29:12 2018: [warning] Shutting down
Tue May  1 16:29:14 2018: [=======] Server shutdown complete.
Tue May  1 16:29:14 2018: [crit   ] ----------------------------------------------------------------------
Tue May  1 16:29:14 2018: [crit   ] Fatal error detected. Please report all following information.
Tue May  1 16:29:14 2018: [crit   ] Application kopano-server version: 8.6.80
Tue May  1 16:29:14 2018: [crit   ] OS: Linux, release: 4.9.0-6-amd64, version: #1 SMP Debian 4.9.82-1+deb9u3 (2018-03-02), hardware: x86_64
Tue May  1 16:29:14 2018: [crit   ] Thread name: kopano-server
Tue May  1 16:29:14 2018: [crit   ] Peak RSS: 18320
Tue May  1 16:29:14 2018: [crit   ] Pid 25274 caught SIGSEGV (11), traceback:
Tue May  1 16:29:14 2018: [crit   ] Backtrace:
Tue May  1 16:29:14 2018: [crit   ] #0. /usr/lib/libkcutil.so.0(+0x29bcd) [0x7ff60d57cbcd]
Tue May  1 16:29:14 2018: [crit   ] #1. /usr/lib/libkcutil.so.0(+0x22755) [0x7ff60d575755]
Tue May  1 16:29:14 2018: [crit   ] #2. /usr/lib/libkcutil.so.0(_ZN2KC23generic_sigsegv_handlerEPNS_8ECLoggerEPKcS3_iPK9siginfo_tPKv+0x1c1) [0x7ff60d575a31]
Tue May  1 16:29:14 2018: [crit   ] #3. /lib/x86_64-linux-gnu/libpthread.so.0(+0x110c0) [0x7ff6083e40c0]
Tue May  1 16:29:14 2018: [crit   ] #4. /usr/lib/x86_64-linux-gnu/libcrypto.so.1.1(ERR_clear_error+0x54) [0x7ff60c207ed4]
Tue May  1 16:29:14 2018: [crit   ] #5. /usr/lib/libgsoapssl++-kopano-2.8.62.so(soap_done+0x304) [0x7ff60c775524]
Tue May  1 16:29:14 2018: [crit   ] #6. /usr/lib/libgsoapssl++-kopano-2.8.62.so(soap_free+0x9) [0x7ff60c78eaa9]
Tue May  1 16:29:14 2018: [crit   ] #7. /usr/sbin/kopano-server(+0xf39a) [0x557b31bea39a]
Tue May  1 16:29:14 2018: [crit   ] #8. /usr/sbin/kopano-server(+0xf469) [0x557b31bea469]
Tue May  1 16:29:14 2018: [crit   ] #9. /usr/sbin/kopano-server(+0xcf52) [0x557b31be7f52]
Tue May  1 16:29:14 2018: [crit   ] #10. /usr/sbin/kopano-server(+0xc1f1) [0x557b31be71f1]
Tue May  1 16:29:14 2018: [crit   ] #11. /lib/x86_64-linux-gnu/libc.so.6(+0x35940) [0x7ff6077c0940]
Tue May  1 16:29:14 2018: [crit   ] #12. /lib/x86_64-linux-gnu/libc.so.6(+0x3599a) [0x7ff6077c099a]
Tue May  1 16:29:14 2018: [crit   ] #13. /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf8) [0x7ff6077ab2e8]
Tue May  1 16:29:14 2018: [crit   ] #14. /usr/sbin/kopano-server(+0x7a2a) [0x557b31be2a2a]
Tue May  1 16:29:14 2018: [crit   ] Signal errno: Success, signal code: 1
Tue May  1 16:29:14 2018: [crit   ] Sender pid: 320, sender uid: 0, si_status: 0
Tue May  1 16:29:14 2018: [crit   ] Signal value: 0, faulting address: 0x140
Tue May  1 16:29:14 2018: [crit   ] When reporting this traceback, please include Linux distribution name (and version), system architecture and Kopano version.
Tue May  1 16:31:48 2018: [=======] Starting kopano-server version 8.6.80 (pid 1632)
Tue May  1 16:31:49 2018: [error  ] Coredumps will not be generated: kopano-server requires the fs.suid_dumpable sysctl to contain the value 2, not 0. See kopano-coredump(5) for details.

spamd.log
spooler.log

Tue May  1 16:27:42 2018: [warning] [23726] Still waiting for 0 thread(s) to exit.
Tue May  1 16:31:50 2018: [=======] [ 1634] Starting kopano-spooler version 8.6.80 (pid 1634)

now i stop kopano-server again.

Tue May  1 16:33:41 2018: [warning] Shutting down
Tue May  1 16:33:43 2018: [=======] Server shutdown complete.
Tue May  1 16:33:43 2018: [crit   ] ----------------------------------------------------------------------
Tue May  1 16:33:43 2018: [crit   ] Fatal error detected. Please report all following information.
Tue May  1 16:33:43 2018: [crit   ] Application kopano-server version: 8.6.80
Tue May  1 16:33:43 2018: [crit   ] OS: Linux, release: 4.9.0-6-amd64, version: #1 SMP Debian 4.9.82-1+deb9u3 (2018-03-02), hardware: x86_64
Tue May  1 16:33:43 2018: [crit   ] Thread name: kopano-server
Tue May  1 16:33:43 2018: [crit   ] Peak RSS: 18488
Tue May  1 16:33:43 2018: [crit   ] Pid 1632 caught SIGSEGV (11), traceback:
Tue May  1 16:33:43 2018: [crit   ] Backtrace:
Tue May  1 16:33:43 2018: [crit   ] #0. /usr/lib/libkcutil.so.0(+0x29bcd) [0x7fce0d334bcd]
Tue May  1 16:33:43 2018: [crit   ] #1. /usr/lib/libkcutil.so.0(+0x22755) [0x7fce0d32d755]
Tue May  1 16:33:43 2018: [crit   ] #2. /usr/lib/libkcutil.so.0(_ZN2KC23generic_sigsegv_handlerEPNS_8ECLoggerEPKcS3_iPK9siginfo_tPKv+0x1c1) [0x7fce0d32da31]
Tue May  1 16:33:43 2018: [crit   ] #3. /lib/x86_64-linux-gnu/libpthread.so.0(+0x110c0) [0x7fce0819c0c0]
Tue May  1 16:33:43 2018: [crit   ] #4. /usr/lib/x86_64-linux-gnu/libcrypto.so.1.1(ERR_clear_error+0x54) [0x7fce0bfbfed4]
Tue May  1 16:33:43 2018: [crit   ] #5. /usr/lib/libgsoapssl++-kopano-2.8.62.so(soap_done+0x304) [0x7fce0c52d524]
Tue May  1 16:33:43 2018: [crit   ] #6. /usr/lib/libgsoapssl++-kopano-2.8.62.so(soap_free+0x9) [0x7fce0c546aa9]
Tue May  1 16:33:43 2018: [crit   ] #7. /usr/sbin/kopano-server(+0xf39a) [0x5602703e139a]
Tue May  1 16:33:43 2018: [crit   ] #8. /usr/sbin/kopano-server(+0xf469) [0x5602703e1469]
Tue May  1 16:33:43 2018: [crit   ] #9. /usr/sbin/kopano-server(+0xcf52) [0x5602703def52]
Tue May  1 16:33:43 2018: [crit   ] #10. /usr/sbin/kopano-server(+0xc1f1) [0x5602703de1f1]
Tue May  1 16:33:43 2018: [crit   ] #11. /lib/x86_64-linux-gnu/libc.so.6(+0x35940) [0x7fce07578940]
Tue May  1 16:33:43 2018: [crit   ] #12. /lib/x86_64-linux-gnu/libc.so.6(+0x3599a) [0x7fce0757899a]
Tue May  1 16:33:43 2018: [crit   ] #13. /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf8) [0x7fce075632e8]
Tue May  1 16:33:43 2018: [crit   ] #14. /usr/sbin/kopano-server(+0x7a2a) [0x5602703d9a2a]
Tue May  1 16:33:43 2018: [crit   ] Signal errno: Success, signal code: 1
Tue May  1 16:33:43 2018: [crit   ] Sender pid: 320, sender uid: 0, si_status: 0
Tue May  1 16:33:43 2018: [crit   ] Signal value: 0, faulting address: 0x140
Tue May  1 16:33:43 2018: [crit   ] When reporting this traceback, please include Linux distribution name (and version), system architecture and Kopano version.

and the start again.

Tue May  1 16:34:14 2018: [=======] Starting kopano-server version 8.6.80 (pid 1797)
Tue May  1 16:34:14 2018: [error  ] Coredumps will not be generated: kopano-server requires the fs.suid_dumpable sysctl to contain the value 2, not 0. See kopano-coredump(5) for details.

again…

Tue May  1 16:34:34 2018: [=======] Server shutdown complete.
Tue May  1 16:34:34 2018: [crit   ] ----------------------------------------------------------------------
Tue May  1 16:34:34 2018: [crit   ] Fatal error detected. Please report all following information.
Tue May  1 16:34:34 2018: [crit   ] Application kopano-server version: 8.6.80
Tue May  1 16:34:34 2018: [crit   ] OS: Linux, release: 4.9.0-6-amd64, version: #1 SMP Debian 4.9.82-1+deb9u3 (2018-03-02), hardware: x86_64
Tue May  1 16:34:34 2018: [crit   ] Thread name: kopano-server
Tue May  1 16:34:34 2018: [crit   ] Peak RSS: 18176
Tue May  1 16:34:34 2018: [crit   ] Pid 1797 caught SIGSEGV (11), traceback:
Tue May  1 16:34:34 2018: [crit   ] Backtrace:
Tue May  1 16:34:34 2018: [crit   ] #0. /usr/lib/libkcutil.so.0(+0x29bcd) [0x7f800a804bcd]
Tue May  1 16:34:34 2018: [crit   ] #1. /usr/lib/libkcutil.so.0(+0x22755) [0x7f800a7fd755]
Tue May  1 16:34:34 2018: [crit   ] #2. /usr/lib/libkcutil.so.0(_ZN2KC23generic_sigsegv_handlerEPNS_8ECLoggerEPKcS3_iPK9siginfo_tPKv+0x1c1) [0x7f800a7fda31]
Tue May  1 16:34:34 2018: [crit   ] #3. /lib/x86_64-linux-gnu/libpthread.so.0(+0x110c0) [0x7f800566c0c0]
Tue May  1 16:34:34 2018: [crit   ] #4. /usr/lib/x86_64-linux-gnu/libcrypto.so.1.1(ERR_clear_error+0x54) [0x7f800948fed4]
Tue May  1 16:34:34 2018: [crit   ] #5. /usr/lib/libgsoapssl++-kopano-2.8.62.so(soap_done+0x304) [0x7f80099fd524]
Tue May  1 16:34:34 2018: [crit   ] #6. /usr/lib/libgsoapssl++-kopano-2.8.62.so(soap_free+0x9) [0x7f8009a16aa9]
Tue May  1 16:34:34 2018: [crit   ] #7. /usr/sbin/kopano-server(+0xf39a) [0x5612bfbcd39a]
Tue May  1 16:34:34 2018: [crit   ] #8. /usr/sbin/kopano-server(+0xf469) [0x5612bfbcd469]
Tue May  1 16:34:34 2018: [crit   ] #9. /usr/sbin/kopano-server(+0xcf52) [0x5612bfbcaf52]
Tue May  1 16:34:34 2018: [crit   ] #10. /usr/sbin/kopano-server(+0xc1f1) [0x5612bfbca1f1]
Tue May  1 16:34:34 2018: [crit   ] #11. /lib/x86_64-linux-gnu/libc.so.6(+0x35940) [0x7f8004a48940]
Tue May  1 16:34:34 2018: [crit   ] #12. /lib/x86_64-linux-gnu/libc.so.6(+0x3599a) [0x7f8004a4899a]
Tue May  1 16:34:34 2018: [crit   ] #13. /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf8) [0x7f8004a332e8]
Tue May  1 16:34:34 2018: [crit   ] #14. /usr/sbin/kopano-server(+0x7a2a) [0x5612bfbc5a2a]
Tue May  1 16:34:34 2018: [crit   ] Signal errno: Success, signal code: 1
Tue May  1 16:34:34 2018: [crit   ] Sender pid: 320, sender uid: 0, si_status: 0
Tue May  1 16:34:34 2018: [crit   ] Signal value: 0, faulting address: 0x140
Tue May  1 16:34:34 2018: [crit   ] When reporting this traceback, please include Linux distribution name (and version), system architecture and Kopano version.
Tue May  1 16:34:38 2018: [=======] Starting kopano-server version 8.6.80 (pid 1825)
Tue May  1 16:34:38 2018: [error  ] Coredumps will not be generated: kopano-server requires the fs.suid_dumpable sysctl to contain the value 2, not 0. See kopano-coredump(5) for details.

so the error now only happens when i stop kopano.

A new version was pulled to my repo.

apt-cache policy kopano-server
kopano-server:
  Installed: 8.6.80.645-0+68.1
  Candidate: 8.6.80.713-0+76.1
  Version table:
     8.6.80.713-0+76.1 500
        500 file:/home/kopano/apt amd64/ Packages
 *** 8.6.80.645-0+68.1 500
        500 file:/home/kopano/apt amd64/ Packages
        100 /var/lib/dpkg/status
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  php-mysql php-smbclient
Use 'apt autoremove' to remove them.
The following packages have been kept back:
  php-smbclient
The following packages will be upgraded:
  kopano-backup kopano-bash-completion kopano-client kopano-common kopano-contacts kopano-dagent kopano-gateway kopano-ical kopano-lang kopano-monitor kopano-search kopano-server kopano-server-packages
  kopano-spooler kopano-utils kopano-webapp kopano-webapp-plugin-files kopano-webapp-plugin-intranet kopano-webapp-plugin-mdm kopano-webapp-plugin-smime kopano-webapp-plugin-spell
  kopano-webapp-plugin-titlecounter libkcarchiver0 libkcarchivercore0 libkcfreebusy0 libkcicalmapi0 libkcinetmapi0 libkcmapi0 libkcserver0 libkcsoap0 libkcssl0 libkcsync0 libkcutil0 libmapi1 php7-mapi
  python2-kopano python2-mapi
37 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 0 B/10.7 MB of archives.
After this operation, 582 kB disk space will be freed.
Do you want to continue? [Y/n]
apt-cache policy php-smbclient
php-smbclient:
  Installed: 0.8.0-3
  Candidate: 0.9.0-1+45.1
  Version table:
     0.9.0-1+45.1 500
        500 file:/home/kopano/apt amd64/ Packages
 *** 0.8.0-3 500
        500 http://ftp.nl.debian.org/debian stretch/main amd64 Packages
        100 /var/lib/dpkg/status
 apt-get install php-smbclient
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 php-smbclient : Depends: phpapi-20131226 but it is not installable
E: Unable to correct problems, you have held broken packages.
apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  php-mysql php-smbclient
Use 'apt autoremove' to remove them.
The following packages will be upgraded:
  kopano-backup kopano-bash-completion kopano-client kopano-common kopano-contacts kopano-dagent kopano-gateway kopano-ical kopano-lang kopano-monitor kopano-search kopano-server kopano-server-packages
  kopano-spooler kopano-utils kopano-webapp kopano-webapp-plugin-files kopano-webapp-plugin-intranet kopano-webapp-plugin-mdm kopano-webapp-plugin-smime kopano-webapp-plugin-spell
  kopano-webapp-plugin-titlecounter libkcarchiver0 libkcarchivercore0 libkcfreebusy0 libkcicalmapi0 libkcinetmapi0 libkcmapi0 libkcserver0 libkcsoap0 libkcssl0 libkcsync0 libkcutil0 libmapi1 php7-mapi
  python2-kopano python2-mapi
37 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/10.7 MB of archives.
After this operation, 582 kB disk space will be freed.
Do you want to continue? [Y/n]

hmm, this is for tomorrow… my work ends now.

@thctlo said in Crash: kopano core upgrade from : 8.5.81.288-0+53.1 to : 8.6.80.645-0+68.1:

These three, are still from the previous install and not upgraded.
Can anyone tell me, why are these not upgraded?

These packages have been retired a while ago. There are “replaced” instructions in the packaging for these. e.g.:

Package: python2-mapi
Priority: optional
Section: python
Installed-Size: 1690
Maintainer: Kopano Development <development@kopano.io>
Architecture: amd64
Source: kopano
Version: 8.6.80.713-0+76.1
Replaces: libkcpyconv0, libkcpydirector0, python-mapi
Depends: libc6 (>= 2.14), libgcc1 (>= 1:3.0), libkcfreebusy0, libkcicalmapi0, libkcinetmapi0, libkcmapi0, libkcsync0, libkcutil0, libmapi1, libpython2.7 (>= 2.7), libstdc++6 (>= 5.2), kopano-client (= 8.6.80.713-0+76.1)
Filename: ./amd64/python2-mapi_8.6.80.713-0+76.1_amd64.deb
Size: 290656
MD5sum: 904ebd541aa92cd8e6383f882d161557
SHA1: bd578cd44d60d5c8c7cb580da187c84a87aac6bd
SHA256: cf1d71cb6dcb0196e7ad5b21e9e86a6be13e075ce1e71595613f426c653b5f28
SHA512: d03bb07883e0b91e1866ff082e89c8f023a18586a295bddcc6fca627c056b54ce417f74fc964c6b0e8247cc4f0816c4dad7cf71cbd5a7fc764f896944b33fc90
Description: Python bindings for MAPI
 Low-level (SWIG-generated) Python bindings for MAPI. Using this
 module, you can create Python programs which use MAPI calls to
 interact with Kopano.

Edit: tried reproducing the traceback and was successful. I created https://jira.kopano.io/browse/KC-1138 to follow up on this.

PS: please use code blocks (markdown formatting) when posting terminal output. this makes it easier to read for others.

@thctlo said in Crash: kopano core upgrade from : 8.5.81.288-0+53.1 to : 8.6.80.645-0+68.1:

The following packages have unmet dependencies:
php-smbclient : Depends: phpapi-20131226 but it is not installable

It seems you are trying to install a package, that was built for Debian 8 on Debian 9.

Hai Felix,

Thank you for this hint. i noticed the following.
The version of files-2.1.3.255-Debian_9.0-all does not contain php-smbclient.
files-2.1.3.255-Debian_8.0-all does have it, a missed update in my personal repo.

but im wondering, the package kopano-webapp-plugin-files, that should have a recommended to php-smbclient
thats missing.

kopano-webapp-plugin-files:
  Installed: 2.1.3.259+169.2
  Candidate: 2.1.3.259+169.2
  Version table:
 *** 2.1.3.259+169.2 500
        500 file:/home/kopano/apt amd64/ Packages
        100 /var/lib/dpkg/status
     2.1.3.255+167.1 500
        500 file:/home/kopano/apt amd64/ Packages```

I've installed the debian version of php-smbclient or does kopano-webapp-plugin-filesbackend-smb replace it. 
because if thats the case, then this is a package replace miss also. 

After these changes, i rebooted the server but the bugcheck is still there when i stop kopano-server.
It's not crashing at startup. 
Do you want/need extra info on this

Hai,

I have just upgraded to the latest daily packages.

kopano-server:
  Installed: 8.6.80.722-0+83.1
  Candidate: 8.6.80.722-0+83.1
  Version table:
 *** 8.6.80.722-0+83.1 500
        500 file:/home/kopano/apt amd64/ Packages
        100 /var/lib/dpkg/status
     8.6.80.713-0+76.1 500
        500 file:/home/kopano/apt amd64/ Packages
     8.6.80.645-0+68.1 500
        500 file:/home/kopano/apt amd64/ Packages```

and the result is still the same. 

```Thu May  3 15:54:44 2018: [error  ] Previous message logged 8 times
Thu May  3 15:54:44 2018: [warning] Shutting down
Thu May  3 15:54:46 2018: [=======] Server shutdown complete.
Thu May  3 15:54:46 2018: [crit   ] ----------------------------------------------------------------------
Thu May  3 15:54:46 2018: [crit   ] Fatal error detected. Please report all following information.
Thu May  3 15:54:46 2018: [crit   ] Application kopano-server version: 8.6.80
Thu May  3 15:54:46 2018: [crit   ] OS: Linux, release: 4.9.0-6-amd64, version: #1 SMP Debian 4.9.88-1 (2018-04-29), hardware: x86_64
Thu May  3 15:54:46 2018: [crit   ] Thread name: kopano-server
Thu May  3 15:54:46 2018: [crit   ] Peak RSS: 30648
Thu May  3 15:54:46 2018: [crit   ] Pid 7014 caught SIGSEGV (11), traceback:
Thu May  3 15:54:46 2018: [crit   ] Backtrace:
Thu May  3 15:54:46 2018: [crit   ] #0. /usr/lib/libkcutil.so.0(+0x29bcd) [0x7faee627cbcd]
Thu May  3 15:54:46 2018: [crit   ] #1. /usr/lib/libkcutil.so.0(+0x22755) [0x7faee6275755]
Thu May  3 15:54:46 2018: [crit   ] #2. /usr/lib/libkcutil.so.0(_ZN2KC23generic_sigsegv_handlerEPNS_8ECLoggerEPKcS3_iPK9siginfo_tPKv+0x1c1) [0x7faee6275a31]
Thu May  3 15:54:46 2018: [crit   ] #3. /lib/x86_64-linux-gnu/libpthread.so.0(+0x110c0) [0x7faee11040c0]
Thu May  3 15:54:46 2018: [crit   ] #4. /usr/lib/x86_64-linux-gnu/libcrypto.so.1.1(ERR_clear_error+0x54) [0x7faee4f27ed4]
Thu May  3 15:54:46 2018: [crit   ] #5. /usr/lib/libgsoapssl++-kopano-2.8.62.so(soap_done+0x304) [0x7faee5495524]
Thu May  3 15:54:46 2018: [crit   ] #6. /usr/lib/libgsoapssl++-kopano-2.8.62.so(soap_free+0x9) [0x7faee54aeaa9]
Thu May  3 15:54:46 2018: [crit   ] #7. /usr/sbin/kopano-server(+0xf18a) [0x5555d3ebe18a]
Thu May  3 15:54:46 2018: [crit   ] #8. /usr/sbin/kopano-server(+0xf259) [0x5555d3ebe259]
Thu May  3 15:54:46 2018: [crit   ] #9. /usr/sbin/kopano-server(+0xc161) [0x5555d3ebb161]
Thu May  3 15:54:46 2018: [crit   ] #10. /lib/x86_64-linux-gnu/libc.so.6(+0x35940) [0x7faee04e0940]
Thu May  3 15:54:46 2018: [crit   ] #11. /lib/x86_64-linux-gnu/libc.so.6(+0x3599a) [0x7faee04e099a]
Thu May  3 15:54:46 2018: [crit   ] #12. /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf8) [0x7faee04cb2e8]
Thu May  3 15:54:46 2018: [crit   ] #13. /usr/sbin/kopano-server(+0x799a) [0x5555d3eb699a]
Thu May  3 15:54:46 2018: [crit   ] Signal errno: Success, signal code: 1
Thu May  3 15:54:46 2018: [crit   ] Sender pid: 320, sender uid: 0, si_status: 0
Thu May  3 15:54:46 2018: [crit   ] Signal value: 0, faulting address: 0x140
Thu May  3 15:54:46 2018: [crit   ] When reporting this traceback, please include Linux distribution name (and version), system architecture and Kopano version.
Thu May  3 15:54:49 2018: [=======] Starting kopano-server version 8.6.80 (pid 7776)
Thu May  3 15:54:49 2018: [error  ] Coredumps will not be generated: kopano-server requires the fs.suid_dumpable sysctl to contain the value 2, not 0. See kopano-coredump(5) for details. ```

@thctlo said in Crash: kopano core upgrade from : 8.5.81.288-0+53.1 to : 8.6.80.645-0+68.1:

The version of files-2.1.3.255-Debian_9.0-all does not contain php-smbclient.
files-2.1.3.255-Debian_8.0-all does have it,

Yes, I’m not really familiar about the files plugin, but I guess it is not part of the archiver since it’s already part of the distributions repository.

@thctlo said in Crash: kopano core upgrade from : 8.5.81.288-0+53.1 to : 8.6.80.645-0+68.1:

I’ve installed the debian version of php-smbclient or does kopano-webapp-plugin-filesbackend-smb replace it.
because if thats the case, then this is a package replace miss also.

No, I would see a requirement between the SMB backend and the smbclient package.

@thctlo said in Crash: kopano core upgrade from : 8.5.81.288-0+53.1 to : 8.6.80.645-0+68.1:

Do you want/need extra info on this

could you create a core dump file for the crash?

uhm, not anymore but… i opened a new thread : 8.6.80.722-0+83.1 500 to 8.6.80.743-0+84.1 500 upgrade failed.
I can make a coredump of that one.

Thanks. I’ve attached them in a non public comment to the ticket above.

Hai, im not in the process of removing kopano completely and do a reinstall.
with this remove i notice some left overs in the folders.

/usr/lib/python2.7/dist-packages/kopano_migration_pst (init.pyc pst.pyc)
/usr/lib/python2.7/dist-packages/kopano_search (init.pyc magic.pyc plaintext.pyc version.pyc
)
/usr/lib/python2.7/dist-packages/kopano_presence (init.pyc version.pyc
)
/var/lib/kopano/dagent/plugins a image filter leftover.
/etc/kopano/quotamail << logical because i added my own notifications.

Now im not a coder but i can imagine that such left overs may help in getting more errors.
What i wil do, is a good cleanup, i’ll track every kopano thing and remove it, next week i install a now daily.
I’'ll keep you guys posted.

Thank for the feed back.
+1